SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Functions
MessageFilter.h File Reference

Message filter plugin. Assigns systems to FilterSets. Each FilterSet limits what messages are allowed. This is a security related plugin. More...

`#include "NativeFeatureIncludes.h"`
`#include "types.h"`
`#include "PluginInterface2.h"`
`#include "DS_OrderedList.h"`
`#include "DS_Hash.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

struct | SLNet::FilterSet
struct | SLNet::FilteredSystem
class | SLNet::MessageFilter
| Assigns systems to FilterSets. Each FilterSet limits what kinds of messages are allowed. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | MESSAGE_FILTER_MAX_MESSAGE_ID 256
| MessageIdentifier (ID_*) values shoudln't go higher than this. Change it if you do.

## Functions

int RAK_DLL_EXPORT | SLNet::MessageFilterStrComp (char *const &key, char *const &data)
int RAK_DLL_EXPORT | SLNet::FilterSetComp (const int &key, FilterSet *const &data)

## Detailed Description

Message filter plugin. Assigns systems to FilterSets. Each FilterSet limits what messages are allowed. This is a security related plugin.

Definition in file MessageFilter.h.

## Class Documentation

struct SLNet::FilteredSystem

Definition at line 65 of file MessageFilter.h.

Class Members
FilterSet * | filter |
TimeMS | timeEnteredThisSet |

## Macro Definition Documentation

#define MESSAGE_FILTER_MAX_MESSAGE_ID 256

MessageIdentifier (ID_*) values shoudln't go higher than this. Change it if you do.

Definition at line 33 of file MessageFilter.h.